Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455957 - Miro needs to be rebuilt against new xulrunner
Summary: Miro needs to be rebuilt against new xulrunner
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 09:14 UTC by Johan Cwiklinski
Modified: 2008-07-23 07:04 UTC (History)
7 users (show)

Fixed In Version: 1.2.4-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 07:04:29 UTC


Attachments (Terms of Use)

Description Johan Cwiklinski 2008-07-19 09:14:39 UTC
Description of problem:
Yum upgrade fails due to Miro requiring gecko-libs = 1.9

Version-Release number of selected component (if applicable):
Miro-1.2.4-1

How reproducible:
Every time

Steps to Reproduce:
yum update
  
Actual results:
Error: Missing Dependency: gecko-libs = 1.9 is needed by package
Miro-1.2.4-1.fc9.i386 (installed)

Also, on x86_64 system, yum tries to install xulrunner.i386 to solve
dependencies (see https://bugzilla.redhat.com/show_bug.cgi?id=455915#c2).

Comment 1 Paul W. Frields 2008-07-19 16:19:51 UTC
An update is in bodhi that will be pushed to updates shortly.  In the meantime,
you can pick up the new package in koji here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=56714

Comment 2 Alex Lancaster 2008-07-19 23:28:12 UTC
Hi Paul.  Thanks for pushing the updates as I was a bit busy over the last
couple of days.  It would have been a good idea to get a heads-up from the
xulrunner maintainer that would have prevented the broken deps in the first place.

Is it sufficient for gecko-libs to be merely >= 1.9 ?  Previously with
firefox-devel we had to have exact version matching (i.e. down to subminor
versioning), but I thought that xulrunner was supposed to not require that (at
least for the stable xulrunner-devel package).


Comment 3 Mads Kiilerich 2008-07-21 20:04:06 UTC
This problem has now blocked "yum update" for several days (for users having
Miro installed). Not being able to update the system is a potential security
risk. IMHO the severity is high, and so should the priority be.

(Side note: Problem would be smaller if --skip-broken was enabled by default -
AFAIK it isn't...)

Users are constantly reminded about the missing update with the GUI notifier.
That makes them feel at risk and loose confidence in the update system.

The problem with gecko-libs dependencies is well-known, so it is embarrassing
that it happens again.

Installing Miro from bodhi as suggested gives a pretty bad user experience:
Error: Missing Dependency: gecko-libs = 1.9 is needed by package
gnome-python2-gtkmozembed-2.19.1-16.fc9.i386 (updates)
The user then has to figure out (how?) that gnome-python2-gtkmozembed means
gnome-python2-extras. Finding a new -extras in bodhi and installing it gives:
Error: Missing Dependency: gnome-python2-extras = 2.19.1-16.fc9 is needed by
package gnome-python2-gtkhtml2-2.19.1-16.fc9.i386 (installed)
Error: Missing Dependency: gnome-python2-extras = 2.19.1-16.fc9 is needed by
package gnome-python2-libegg-2.19.1-16.fc9.i386 (installed)
- and then I gave up...


Comment 4 Johan Cwiklinski 2008-07-22 03:23:17 UTC
I have the exactly same problem with rawhide... Did you pushed also .fc10 release ?

Thanks,
Johan

Comment 5 Alex Lancaster 2008-07-22 03:34:27 UTC
(In reply to comment #4)
> I have the exactly same problem with rawhide... Did you pushed also .fc10
release ?
> 
> Thanks,
> Johan

Was pushed into rawhide 20080720:

http://koji.fedoraproject.org/mash/rawhide-20080720/logs/treediff

have you updated since?  Here's the build

http://koji.fedoraproject.org/koji/buildinfo?buildID=56836

Comment 6 Johan Cwiklinski 2008-07-22 04:04:36 UTC
(In reply to comment #5)
> Was pushed into rawhide 20080720:
> 
> http://koji.fedoraproject.org/mash/rawhide-20080720/logs/treediff
> 
> have you updated since?  Here's the build

I had tried a yum update before posting here... but I missed 'yum clean' before,
I should had some cache somewhere :-)

Sorry for the noise, thanks for the update


Comment 7 Fedora Update System 2008-07-23 07:04:24 UTC
Miro-1.2.4-2.fc9, gnome-python2-extras-2.19.1-17.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.